Bug 123324 - [PATCH] STP Bridging support
[PATCH] STP Bridging support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-17 00:38 EDT by Nuno Tavares
Modified: 2014-03-16 22:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.69-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 15:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nuno Tavares 2004-05-17 00:38:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Someone missed the option for activating STP for "Bridge" devices..


Version-Release number of selected component (if applicable):
initscripts-7.42-1

How reproducible:
Always

Steps to Reproduce:
Just try it..

Additional info:
Comment 1 Nuno Tavares 2004-05-17 00:41:50 EDT
Here is a patch, that allows "STP=on" to be specified 
on /etc/sysconfig/network-scripts/ifcfg-br*:

--- ifup-orig   2004-05-07 19:56:47.000000000 +0100
+++ ifup        2004-05-07 20:07:25.000000000 +0100
@@ -171,6 +171,7 @@
       fi
       [ -n "${DELAY}" ] && /usr/sbin/brctl setfd ${DEVICE} ${DELAY}
       [ -n "${GCINT}" ] && /usr/sbin/brctl setgcint ${DEVICE} 
${GCINT}
+      [ "${STP}" = "on" ] && /usr/sbin/brctl stp ${DEVICE} on
 fi
  
 if [ -n "${BRIDGE}" -a -x /usr/sbin/brctl ]; then
Comment 2 Bill Nottingham 2004-08-25 15:18:20 EDT
Added as:

[ -n "${STP}" ] && /usr/sbin/brctl stp ${DEVICE} ${STP}

in CVS. Will be in 7.69-1.

Note You need to log in before you can comment on or make changes to this bug.